Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.search.finder
Class FindResult

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.search.finder.FindResult

    public class FindResult

extends Object

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 03-Oct-2005

Field Summary
`static int` | `LANG`
`static int` | `MATCH_VALUE`
`static int` | `NUM_COLUMNS`
`static int` | `PROPERTY_NAME`
`static int` | `RESOURCE_NAME`

Method Summary
`static FindResult` | `createFindResult(RDFResource res, edu.stanford.smi.protege.model.Slot prop, String searchTerm)`
`Object` | `get(int columnIndex)`
`static String` | `getColumnName(int column)`
`RDFResource` | `getHost()`
`RDFResource` | `getMatchingResource()`
`String` | `getMatchValue()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCE_NAME

    public static final int RESOURCE_NAME

See Also:
  Constant Field Values

### PROPERTY_NAME

    public static final int PROPERTY_NAME

See Also:
  Constant Field Values

### MATCH_VALUE

    public static final int MATCH_VALUE

See Also:
  Constant Field Values

### LANG

    public static final int LANG

See Also:
  Constant Field Values

### NUM_COLUMNS

    public static final int NUM_COLUMNS

See Also:
  Constant Field Values

Method Detail

### createFindResult

    public static FindResult createFindResult(RDFResource res,
                                              edu.stanford.smi.protege.model.Slot prop,
                                              String searchTerm)

### get

    public Object get(int columnIndex)

### getMatchValue

    public String getMatchValue()

### getMatchingResource

    public RDFResource getMatchingResource()

### getHost

    public RDFResource getHost()

### getColumnName

    public static String getColumnName(int column)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.